## org.codehaus.groovy.grails.compiler.injection
Class EntityASTTransformation

    java.lang.Object
      org.codehaus.groovy.grails.compiler.injection.EntityASTTransformation

All Implemented Interfaces:
  org.codehaus.groovy.transform.ASTTransformation

    public class EntityASTTransformation

extends Object
implements org.codehaus.groovy.transform.ASTTransformation

An AST transformation that injects the necessary fields and behaviors into a domain class in order to make it a property GORM entity

Since:
  1.1

  Created: Dec 17, 2008
Author:
  Graeme Rocher

Constructor Summary
`EntityASTTransformation()`

Method Summary
`void` `visit(org.codehaus.groovy.ast.ASTNode[] astNodes, org.codehaus.groovy.control.SourceUnit sourceUnit)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityASTTransformation

    public EntityASTTransformation()

Method Detail

### visit

    public void visit(org.codehaus.groovy.ast.ASTNode[] astNodes,
                      org.codehaus.groovy.control.SourceUnit sourceUnit)

  Specified by:
    `visit` in interface `org.codehaus.groovy.transform.ASTTransformation`

Copyright (c) 2005-2009 The Grails project